#!/bin/bash

FILENAME=$1

if [ -z "$1" ] ; then
    echo "FILENAME is missing"
    exit 1
fi

echo "Generating assembly code for file ${FILENAME}"

java -cp "chocopy-ref.jar:target/assignment.jar" chocopy.ChocoPy --pass=rrs ${FILENAME}
